Subject: Re: tqm5200s i2c bus timeout

From: Anatolij Gustschin <[email-masked]>
Date: Fri, 4 Jan 2013 11:49:47 +0100

On Fri, 4 Jan 2013 08:50:03 +0100
Johannes Braun <[email-masked]> wrote:
...
> The good thing is that I can see all the devices now. Also the driver
> for the rtc clock is loading. But the time can`t be read through the
> registered rtc0 device. This is the kernel log. But I think this is a
> driver issue and I should have a look inside the driver.
> 
> [    1.483761] rtc-pcf8563 1-0051: chip found, driver version 0.4.3
> [    1.490382] rtc-pcf8563 1-0051: pcf8563_get_datetime: read error
> [    1.497478] rtc-pcf8563 1-0051: rtc core: registered rtc-pcf8563 as rtc0

The RTC slave address is correct. Is the pcf8563 RTC on I2C2 bus on
your board?

Thanks,
Anatolij